// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
public class Sink
implements java.io.Serializable
{
    // sink
    static final private String _class_name = "Sink";
    // public fields
    public String name;
    public String type_id;
    // NOTE: for segmented components only
    public short facet_id;
    public short segment_id;

    // constructor for serialization
    public
    Sink()
    {
        // sink
        name = null;
        type_id = null;
        facet_id = -1;
        segment_id = -1;
    }

    // constructor for monolithic components
    public
    Sink(String n, String tid)
    {
        // sink
        name = n;
        type_id = tid;
        facet_id = -1;
        segment_id = -1;
    }

    // constructor for segmented components
    public
    Sink(String n, String tid, short fid, short sid)
    {
        // sink
        name = n;
        type_id = tid;
        facet_id = fid;
        segment_id = sid;
    }
}
