// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ecm.taskdefs;

/**
 **  <p>Concrete implementation of the <tt>IDLtoJavaTask</tt> for OpenORB.</p>
 **/
public class OpenORBIDLtoJavaTask
extends IDLtoJavaTask
{
    //

    // default constructor
    public
    OpenORBIDLtoJavaTask()
    {
        //
    }

    //
    //  abstract operations implementation
    //

    final protected void
    compileIDL(java.io.File idlfile, java.io.File compileto,
               java.io.File[] includedirs, String prefix)
    {
        // use java task
        org.apache.tools.ant.Task task = getProject().createTask("java");
        org.apache.tools.ant.taskdefs.Java java = (org.apache.tools.ant.taskdefs.Java)task;
        java.setClassname("org.openorb.compiler.IdlCompiler");
        java.setFork(true);
        java.setFailonerror(true);

        // create classpath
        org.apache.tools.ant.types.Path cp = java.createClasspath();
        // put path to OpenORB jar in cp
        // NOTE: use version independent path of OpenORB for that
        cp.setRefid(new org.apache.tools.ant.types.Reference("OpenORB.class.path"));
        org.apache.tools.ant.types.Commandline.Argument args = java.createArg();

        // build arg line
        String argline = "-D__OPENORB__";
        // add included directories
        for (int i=0;i<includedirs.length;i++) {
            argline = argline+" -I "+includedirs[i].getPath();
        }

        // add "idlfile -d compileto"
        argline = argline+" "+idlfile.getPath()+" -d "+compileto.getPath();
        //log("[compileIDL] argline: "+argline);
        args.setLine(argline);

        // execute
        java.execute();
    }
}
