# ==================================================================== 
#
#   ECM: The Extensible Container Model
#   Copyright (C) 2004 THALES
#   Contact: openccm-ecm@objectweb.org
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#   USA
#
#   Initial developer(s): Mathieu Vadet
#   Initial funding: IST COACH European Project (IST-2001-34445)
#                    http://www.ist-coach.org
#
# ==================================================================== 


#
#  ECM-RI installation script
#

usage() {
    echo "usage: source envi.ecm.csh [options]"
    echo "Starts the ECM."
    echo "--"
    echo "The following options are supported:"
    echo "  -h, --help          Print this message"
    echo "  -r, --repository    Set the repository directory, /tmp/ECM_REPOSITORY by default (optional)"
    exit 1;
}

# Default repository value
repository=/tmp/ECM_REPOSITORY

while [ -n "$1" ] ;
do
    if [ "$1" = "-h" ] || [ "$1" = "--help" ];
    then
        usage ;
    elif [ "$1" = "-r" ] || [ "$1" = "--repository" ] ;
    then
        repository=$2 ;
    fi ;

    shift ;
done

# check if repository is set
if [ -z "$repository" ] ;
then
    echo "WARNING: Repository directory was wrongly set, use default instead."
    repository=/tmp/ECM_REPOSITORY ;
fi

# Source OpenCCM environment
source @OpenCCM.install.bin.dir@/envi.OpenCCM.csh

# Add binary directory to path
setenv PATH @ECM.install.bin.dir@:$PATH

# set repository values
# CORBA runtime repository
setenv CORBA_RUNTIME_REPOSITORY ${repository}
# CCM runtime repository
setenv CCM_RUNTIME_REPOSITORY ${repository}

# create repositories
mkdir -p ${CORBA_RUNTIME_REPOSITORY}
mkdir -p ${CCM_RUNTIME_REPOSITORY}
