// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation for the <tt>Components::ComponentId</tt> interface.</p>
 **/
public class ComponentIdImpl
extends org.omg.CORBA.LocalObject
implements org.omg.Components.ComponentId
{
    // segment id
    static private String _class_name = "ComponentIdImpl";
    private short _facet_id;
    private short _segment_id;
    private byte[] _object_id;
    private org.omg.Components.SegmentDescr[] _seg_descrs;

    // default constructor
    public 
    ComponentIdImpl(short fid, short segid,
                    org.omg.Components.SegmentDescr[] descrs)
    {
        // segment id
        _facet_id = fid;
        _segment_id = segid;
        _seg_descrs = descrs;
        _object_id = null;
    }

    //
    //  IDL:omg.org/Components/ComponentId:1.0
    //

    final public short
    get_facet_id()
    {
        return _facet_id;
    }

    final public short
    get_segment_id()
    {
        return _segment_id;
    }

    final public byte[]
    get_object_id()
    {
        if (_object_id==null) {
            // find object id
            org.omg.Components.SegmentDescr[] descrs = _seg_descrs;
            for (int i=0;i<descrs.length;i++) {
                if (descrs[i].segment_id==_segment_id) {
                    _object_id = descrs[i].object_id;
                    break;
                }
            }
        }

        return _object_id;
    }

    final public org.omg.Components.SegmentDescr[]
    get_segment_descrs()
    {
        return _seg_descrs;
    }

    final public org.omg.Components.ComponentId
    create_with_new_target(short new_facet, short new_segment)
    {
        return new ComponentIdImpl(new_facet, new_segment, _seg_descrs);
    }
}