// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>ContainerService</tt> system service.</p>
 **/
public class ContainerServiceImpl
extends org.omg.CORBA.LocalObject
implements ContainerService
{
    // services set
    static final private String _class_name = "ContainerServiceImpl";
    static final private String _service_id = ContainerService.SERVICE_ID;
    private ORBService _orb_service;
    private ComponentPOAService _component_poa_service;
    private ServicesSet _services_set;

    // default constructor
    public
    ContainerServiceImpl(ORBService orbs,
                         ComponentPOAService cpoas,
                         ServicesSet sset)
    {
        // services set
        _orb_service = orbs;
        _component_poa_service = cpoas;
        _services_set = sset;
    }

    //
    //  IDL:objectweb.org/corba/runtime/SystemComponent:1.0
    //

    final public void
    system_configuration_complete(SystemConfiguration cfg)
    {
    }

    final public void
    destroy()
    {
        // TODO
        final String opname = "destroy";
        final String msg = "FAILED (operation is NOT implemented currently)";
        TheLogger.debug(_class_name, opname, msg);
    }

    //
    //  IDL:objectweb.org/corba/runtime/SystemService:1.0
    //

    final public String
    service_id()
    {
        return _service_id;
    }

    //
    //  IDL:objectweb.org/ccm/runtime/ContainerService:1.0
    //

    final public ORBService
    orb_service()
    {
        return _orb_service;
    }

    final public ComponentPOAService
    component_poa_service()
    {
        return _component_poa_service;
    }

    final public ServicesSet
    services_set()
    {
        return _services_set;
    }
}
