// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
abstract public class KeylessCCMHomeBase
extends org.omg.CORBA.LocalObject
implements org.omg.Components.KeylessCCMHomeOperations,
           org.omg.Components.CCMHomeOperations,
           org.omg.Components.HomeExecutor,
           java.io.Serializable
{
    // home
    static private String _class_name = "KeylessCCMHomeBase";
    private org.omg.Components.CCM2Context _context;
    private org.omg.Components.Session2Context _mono_ctx;
    private org.omg.Components.SegmentedSession2Context _segmented_ctx;
    private java.util.ArrayList _component_refs;

    // default constructor
    protected
    KeylessCCMHomeBase()
    {
        // home
        _context = null;
        _mono_ctx = null;
        _segmented_ctx = null;
        _component_refs = new java.util.ArrayList();
    }

    //
    // abstract operations
    //

    abstract protected String
    getComponentRepid();

    // NOTE: should be overriden only in the case of segmented implem.
    protected org.omg.Components.SegmentDescr[]
    getSegmentDescrs()
    {
        final String opname = "getSegmentDescrs";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    //
    //  operation for subclasses
    //

    final protected org.omg.Components.CCM2Context
    getCCM2Context()
    {
        return _context;
    }

    final protected org.omg.Components.Session2Context
    getSession2Context()
    {
        return _mono_ctx;
    }

    final protected org.omg.Components.SegmentedSession2Context
    getSegSession2Context()
    {
        return _segmented_ctx;
    }

    //
    //  IDL:omg.org/Components/HomeExecutor:1.0
    //

    final public void
    set_ccm_context(org.omg.Components.CCM2Context ctx)
    {
        _context = ctx;

        if (ctx instanceof org.omg.Components.Session2Context) {
            _mono_ctx = (org.omg.Components.Session2Context)ctx;
        } else if (ctx instanceof org.omg.Components.SegmentedSession2Context) {
            _segmented_ctx = (org.omg.Components.SegmentedSession2Context)ctx;
        } else {
            // should not happen
            final String opname = "set_ccm_context";
            final String msg = "FAILED (unsupported context: "+ctx.getClass()+")";
            TheLogger.error(_class_name, opname, msg);
        }

        // register valuetype factories
        String tid = null;
        org.omg.CORBA.portable.ValueFactory vfact = null;
        // ConnectionDescription
        tid = org.omg.Components.ConnectionDescriptionHelper.id();
        vfact = new ConnectionDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);

        // EmitterDescription
        tid = org.omg.Components.EmitterDescriptionHelper.id();
        vfact = new EmitterDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);

        // FacetDescription
        tid = org.omg.Components.FacetDescriptionHelper.id();
        vfact = new FacetDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);

        // PublisherDescription
        tid = org.omg.Components.PublisherDescriptionHelper.id();
        vfact = new PublisherDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);

        // ReceptacleDescription
        tid = org.omg.Components.ReceptacleDescriptionHelper.id();
        vfact = new ReceptacleDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);

        // SubscriberDescription
        tid = org.omg.Components.SubscriberDescriptionHelper.id();
        vfact = new SubscriberDescriptionFactoryImpl();
        _context.register_valuefactory(tid, vfact);
    }

    // NOTE: keep it non-final to be able to override it
    public org.omg.Components.ExecutorSegmentBase
    create_component_segment(short sid)
    {
        final String opname = "create_component_segment";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    //
    //  IDL:omg.org/Components/CCMHome:1.0
    //

    final public org.omg.CORBA.IRObject
    get_component_def()
    {
        final String opname = "get_component_def";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    final public org.omg.CORBA.IRObject
    get_home_def()
    {
        final String opname = "get_home_def";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    final public void
    remove_component(org.omg.Components.CCMObject comp)
    throws org.omg.Components.RemoveFailure
    {
        // NOTE: use is_equivalent operation
        org.omg.CORBA.Object[] refs = (org.omg.CORBA.Object[])_component_refs.toArray(new org.omg.CORBA.Object[0]);
        for (int i=0;i<refs.length;i++) {
            if (refs[i]._is_equivalent(comp)) {
                // remove ref from storage
                _component_refs.remove(i);

                // delegate removal to component
                comp.remove();

                // use context to destroy ref
                getCCM2Context().remove_component(comp);

                return ;
            }
        }

        // according to CCM spec
        final String opname = "remove_component";
        TheLogger.debug(_class_name, opname, "FAILED (reference not found)");
        throw new org.omg.CORBA.BAD_PARAM();
    }

    final public void
    remove_home() 
    throws org.omg.Components.RemoveFailure
    {
        final String opname = "remove_home";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    final public org.omg.Components.CCMObject[]
    get_components()
    {
        return (org.omg.Components.CCMObject[])_component_refs.toArray(new org.omg.Components.CCMObject[0]);
    }

    final public org.omg.Components.Deployment.Container
    get_container()
    {
        final String opname = "get_container";
        final String msg = "FAILED (op not impl, rethrown)";
        TheLogger.log(_class_name, opname, msg);

        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    //
    //  IDL:omg.org/Components/KeylessCCMHome:1.0
    //

    final public org.omg.Components.CCMObject
    create_component()
    throws org.omg.Components.CreateFailure
    {
        String comp_repid = getComponentRepid();

        // check context, may be:
        //   - Session2Context
        //   - SegmentedSession2Context
        org.omg.CORBA.Object obj = null;
        if (_mono_ctx!=null) {
            obj = _mono_ctx.create_ref(comp_repid);

            // store
            _component_refs.add(obj);

            return org.omg.Components.CCMObjectHelper.unchecked_narrow(obj);
        } else if (_segmented_ctx!=null) {
            org.omg.Components.SegmentDescr[] seg_descrs = getSegmentDescrs();
            org.omg.Components.ComponentId cid = _segmented_ctx.create_main_segment(seg_descrs);
            obj = _segmented_ctx.create_ref_from_cid(comp_repid, cid);

            // store
            _component_refs.add(obj);

            return org.omg.Components.CCMObjectHelper.unchecked_narrow(obj);
        } else {
            // should not happen
            final String opname = "create_component";
            final String msg = "FAILED (unsupported context: "+_context.getClass()+")";
            TheLogger.error(_class_name, opname, msg);
            return null;
        }
    }
}
